<template>
  <q-btn color="grey-1" icon="manage_accounts" flat>
    <div class="gt-sm">Configuración</div>
    <q-menu min-height="600px" style="width: 300px">
      <div class="row no-wrap q-pa-md">
        <div class="column">
          <q-list dense>
            <q-item clickable v-ripple to="/perfil">
              <q-item-section> Mi Perfil </q-item-section>
            </q-item>
          </q-list>
        </div>

        <q-separator vertical inset class="q-mx-lg" />

        <div class="column items-center">
          <q-avatar size="96px">
            <img
              :src="'https://api.mirincon.ar/api/foto/' + user.persona.uuid"
            />
          </q-avatar>
          <div class="q-mt-md q-mb-xs">
            {{ user.persona.apellidoynombre }}
          </div>
        </div>
      </div>
      <q-btn
        color="red"
        class="full-width"
        icon="logout"
        label="Salir de mi rincon"
        size="sm"
        unelevated
        to="/logout"
        v-close-popup
      />
    </q-menu>
  </q-btn>
  <q-btn color="grey-1" icon="logout" flat unelevated to="/logout"></q-btn>
</template>

<script lang="ts">
import { defineComponent, ref } from 'vue';
import { useUserStore } from 'src/stores/user';

export default defineComponent({
  name: 'IndexPage',
  components: {},
  setup() {
    const loading = ref(true);
    const store = useUserStore();

    //onMounted(() => {});
    return {
      loading,
      user: store.details,
    };
  },
});
</script>
